#ifndef _OgreTypeConverter_H__
#define _OgreTypeConverter_H__

#include "AxisAlignedBox3.h"
#include "OgreAxisAlignedBox.h"
#include "Vector3.h"
#include "OgreVector3.h"


namespace Ogre {
  
/**
	Class which converts our types to OGRE types
*/
class __declspec(dllexport) OgreTypeConverter
{
public:

	static GtpVisibilityPreprocessor::AxisAlignedBox3 ConvertFromOgre(const AxisAlignedBox &box);
	static GtpVisibilityPreprocessor::Vector3 ConvertFromOgre(const Vector3 &v);
	
	static AxisAlignedBox ConvertToOgre(const GtpVisibilityPreprocessor::AxisAlignedBox3 &box);
	static Vector3 ConvertToOgre(const GtpVisibilityPreprocessor::Vector3 &v);
};

} // namespace Ogre

#endif // PlatformQueryManager
